10     DIM Buff$[9]
20     REAL Pri_para,Sec_para
30     INTEGER Meas_stat,Comp1,Comp2
40     INTEGER Comp_flag
50     !
60     ASSIGN @Agt4338b TO 717
70     OUTPUT @Agt4338b;":FORM ASC"
80     !
90     OUTPUT @Agt4338b;":INIT:CONT ON"
100    OUTPUT @Agt4338b;":TRIG:SOUR EXT"
110    !
120    OUTPUT @Agt4338b;":CALC:LIM:STAT?"
130    ENTER @Agt4338b;Comp_flag
140    !
150    ! SRQ setting
160    !
170    OUTPUT @Agt4338b;":STAT:OPER:ENAB 16"
180    OUTPUT @Agt4338b;"*SRE 128"
190    OUTPUT @Agt4338b;"*CLS"
200    OUTPUT @Agt4338b;"*OPC?"
210    ENTER @Agt4338b;Buff$
220    !
230    ! Triggering and data read
240    !
250    ON INTR 7 GOTO Meas_end
260    ENABLE INTR 7;2
270    PRINT "Waiting for External Trigger!"
280 Meas_wait:  GOTO Meas_wait
290 Meas_end:  OFF INTR 7
300    OUTPUT @Agt4338b;":FETC?"
310    IF Comp_flag=1 THEN
320      ENTER @Agt4338b;Meas_stat,Pri_para,Sec_para,Comp1,Comp2
330    ELSE
340      ENTER @Agt4338b;Meas_stat,Pri_para,Sec_para
350    END IF
360    !
370    ! Display results
380    !
390    PRINT USING "15A,X,D";"Meas. status  :",Meas_stat
400    PRINT USING "15A,X,SD.5DE";"Pri. parameter:",Pri_para
410    PRINT USING "15A,X,SD.5DE";"Sec. parameter:",Sec_para
420    IF Comp_flag=1 THEN
430      PRINT USING "15A,X,K";"Primary Comparator    :",Comp1
440      PRINT USING "15A,X,K";"Secondary Comparator  :",Comp2
450    ELSE
460      PRINT USING "19A";"Comparator    : OFF"
470    END IF
480    END
490    !*************************************************
500    !* DESCRIPTION:  Agilent 4338B Sample Program
510    !*
520    !* AUTHOR:       Agilent Technologies Japan, Ltd.
530    !* CREATED:      11/21/2002
540    !* PROGRAM NAME: 4338B_fetch_a.bas
550    !* REVISION:     A.01.00
560    !*
570    !*     Copyright (c) 2002 Agilent Technologies,
580    !*              All rights reserved.
590    !*
600    !*
610    !*  Customer shall have the personal, non-
620    !* transferable rights to use, copy or modify
630    !* this SAMPLE PROGRAM for Customer's internal
640    !* operations. Customer shall use the SAMPLE
650    !* PROGRAM solely and exclusively for its own
660    !* purpose and shall not license, lease, market
670    !* or distribute the SAMPLE PROGRAM or
680    !* modification or any part thereof.
690    !*
700    !*  Agilent Technologies shall not be liable for
710    !* the quality, performance or behavior of the
720    !* SAMPLE PROGRAM. Agilent Technologies especially
730    !* disclaims that the operation of the SAMPLE
740    !* PROGRAM shall be uninterrupted or error free.
750    !* This SAMPLE PROGRAM is provided AS IS.
760    !*
770    !*  AGILENT TECHNOLOGIES DISCLAIMS THE IMPLIED
780    !* WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
790    !* A PARTICULAR PURPOSE.
800    !*
810    !*  Agilent Technologies shall not be liable for
820    !* any infringement of any patent, trademark,
830    !* copyright or other proprietary rights by the
840    !* SAMPLE PROGRAM or its use. Agilent Technologies
850    !* does not warrant that the SAMPLE PROGRAM is
860    !* free from infringements or such rights of third
870    !* parties. However, Agilent Technologies will not
880    !* knowingly infringe or deliver a software that
890    !* infringes the patent, trademark, copyright or
900    !* other proprietary right of a third party.
910    !*
920    !*************************************************
